DELETE Application/DeleteSemanticEntity
Request Information
URI Parameters
None.
Body Parameters
SemanticEntity| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| SemanticContextID | globally unique identifier |
Required |
|
| SchemaName | string |
Required |
|
| Name | string |
Required |
|
| AssemblyQualifiedName | string |
None. |
|
| IsActive | boolean |
Required |
|
| SemanticProperties | Collection of SemanticProperty |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "8624d8f8-f09e-4243-b75e-e1106d486c6a",
"semanticContextID": "33a19c1f-dd15-4a18-a00d-f9a6daeab8a4",
"schemaName": "sample string 3",
"name": "sample string 4",
"assemblyQualifiedName": "sample string 5",
"isActive": true,
"semanticProperties": [
{
"$id": "2",
"id": "54de5df3-bd6f-4f9c-8e26-99130cdef8e6",
"semanticEntityID": "4188f9de-ab80-4a97-985b-9db28fe64bba",
"semanticEnumerationID": "41d3f274-d91e-41f5-aa64-db938e9eaa9e",
"name": "sample string 3",
"isSynchronized": true
},
{
"$ref": "2"
}
]
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.